## mlt7-dmo 7.16.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(MLT
  VERSION 7.16.0
  DESCRIPTION "Multimedia Framework"
  HOMEPAGE_URL "https://www.mltframework.org"
  LANGUAGES C CXX
)

option(GPL "Enable GPLv2 components" ON)
option(GPL3 "Enable GPLv3 components" ON)
option(BUILD_TESTING "Enable tests" OFF)
option(BUILD_DOCS "Enable Doxygen documentation" OFF)
option(CLANG_FORMAT "Enable Clang Format" ON)
option(BUILD_TESTS_WITH_QT6 "Build test against Qt 6" OFF)

option(MOD_AVFORMAT "Enable avformat module" ON)
option(MOD_DECKLINK "Enable DeckLink module" ON)
option(MOD_FREI0R "Enable Frei0r module" ON)
option(MOD_GDK "Enable GDK module" ON)
option(MOD_GLAXNIMATE "Enable Glaxnimate module (Qt5)" OFF)
option(MOD_GLAXNIMATE_QT6 "Enable Glaxnimate module (Qt6)" OFF)
option(MOD_JACKRACK "Enable JACK Rack module" ON)
option(MOD_KDENLIVE "Enable Kdenlive module" ON)
option(MOD_NDI "Enable NDI module" OFF)
option(MOD_NORMALIZE "Enable Normalize module (GPL)" ON)
option(MOD_OLDFILM "Enable Oldfilm module" ON)
option(MOD_OPENCV "Enable OpenCV module" OFF)
option(MOD_MOVIT "Enable OpenGL module" ON)
option(MOD_PLUS "Enable Plus module" ON)
option(MOD_PLUSGPL "Enable PlusGPL module (GPL)" ON)
option(MOD_QT "Enable Qt5 module (GPL)" ON)
option(MOD_QT6 "Enable Qt6 module (GPL)" OFF)
option(MOD_RESAMPLE "Enable Resample module (GPL)" ON)
option(MOD_RTAUDIO "Enable RtAudio module" ON)
option(MOD_RUBBERBAND "Enable Rubberband module (GPL)" ON)
option(MOD_SDL1 "Enable SDL1 module" ON)
option(MOD_SDL2 "Enable SDL2 module" ON)
option(MOD_SOX "Enable SoX module" ON)
option(MOD_VIDSTAB "Enable vid.stab module (GPL)" ON)
option(MOD_VORBIS "Enable Vorbis module" ON)
option(MOD_XINE "Enable XINE module (GPL)" ON)
option(MOD_XML "Enable XML module" ON)

option(SWIG_CSHARP "Enable SWIG C# bindings" OFF)
option(SWIG_JAVA "Enable SWIG Java bindings" OFF)
option(SWIG_LUA "Enable SWIG Lua bindings" OFF)
option(SWIG_NODEJS "Enable SWIG Node.js bindings" OFF)
option(SWIG_PERL "Enable SWIG Perl bindings" OFF)
option(SWIG_PHP "Enable SWIG PHP bindings" OFF)
option(SWIG_PYTHON "Enable SWIG Python bindings" OFF)
option(SWIG_RUBY "Enable SWIG Ruby bindings" OFF)
option(SWIG_TCL "Enable SWIG Tcl bindings" OFF)

if(WIN32)
  option(WINDOWS_DEPLOY "Install exes/libs directly to prefix (no subdir /bin)" ON)
else()
  if(APPLE)
    option(RELOCATABLE "Use standard app bundle layout" ON)
  else()
    option(RELOCATABLE "Look for plugins relative to app" OFF)
  endif()
endif()


list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(FeatureSummary)
include(GNUInstallDirs)

if(WINDOWS_DEPLOY)
  set(CMAKE_INSTALL_BINDIR .)
endif()

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/out/${CMAKE_INSTALL_BINDIR}")
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/out/lib")
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/out/lib")
set(MLT_MODULE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/out/lib/mlt")
set(MLT_DATA_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/out/share/mlt")

# https://gitlab.kitware.com/cmake/community/-/wikis/doc/cmake/RPATH-handling
set(CMAKE_SKIP_BUILD_RPATH FALSE)
set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
list(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/lib" isSystemDir)
if(NOT "${isSystemDir}" STREQUAL "-1")
    set(CMAKE_INSTALL_RPATH "")
endif()


if(NOT EXISTS ${MLT_DATA_OUTPUT_DIRECTORY})
  if(WIN32) # symlinks require admin rights on Windows
    file(COPY "${CMAKE_SOURCE_DIR}/src/modules" DESTINATION "${CMAKE_BINARY_DIR}/out/share" FILES_MATCHING REGEX yml|txt)
    file(RENAME "${CMAKE_BINARY_DIR}/out/share/modules" "${MLT_DATA_OUTPUT_DIRECTORY}")
    file(COPY "${CMAKE_SOURCE_DIR}/presets" DESTINATION "${MLT_DATA_OUTPUT_DIRECTORY}")
    file(COPY "${CMAKE_SOURCE_DIR}/profiles" DESTINATION "${MLT_DATA_OUTPUT_DIRECTORY}")
  else()
    file(MAKE_DIRECTORY "${MLT_DATA_OUTPUT_DIRECTORY}")
    file(GLOB MOD_SUBDIRS "${CMAKE_SOURCE_DIR}/src/modules/*")
    foreach(MOD_SUBDIR ${MOD_SUBDIRS})
      file(RELATIVE_PATH MOD_NAME "${CMAKE_SOURCE_DIR}/src/modules" ${MOD_SUBDIR})
      file(CREATE_LINK "${CMAKE_SOURCE_DIR}/src/modules/${MOD_NAME}" "${MLT_DATA_OUTPUT_DIRECTORY}/${MOD_NAME}" SYMBOLIC)
    endforeach()
    file(CREATE_LINK "${CMAKE_SOURCE_DIR}/presets" "${MLT_DATA_OUTPUT_DIRECTORY}/presets" SYMBOLIC)
    file(CREATE_LINK "${CMAKE_SOURCE_DIR}/profiles" "${MLT_DATA_OUTPUT_DIRECTORY}/profiles" SYMBOLIC)
  endif()
endif()

set(MLT_SUBDIR mlt)
if(NOT (WIN32 OR APPLE))
  set(MLT_SUBDIR mlt-${MLT_VERSION_MAJOR})
  set(MLT_SUBDIR mlt-${MLT_VERSION_MAJOR})
endif()
set(MLT_INSTALL_MODULE_DIR ${CMAKE_INSTALL_LIBDIR}/${MLT_SUBDIR})
set(MLT_INSTALL_DATA_DIR ${CMAKE_INSTALL_DATADIR}/${MLT_SUBDIR})


set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_C_EXTENSIONS ON)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

list(APPEND MLT_COMPILE_OPTIONS "")

# MSVC cl doesn't support GNU inline assembly (but MSVC-compatible clang-cl does)
if(CMAKE_C_COMPILER_ID MATCHES "GNU|Clang")
  if(CMAKE_SYSTEM_PROCESSOR MATCHES "i686|x86|x86_64|AMD64")
    set(CPU_MMX ON)
    set(CPU_SSE ON)
    set(CPU_SSE2 ON)
    if(NOT MSVC) # also NOT clang-cl
      list(APPEND MLT_COMPILE_OPTIONS "-mmmx;-msse;-msse2")
    endif()
  endif()
  if(CMAKE_SYSTEM_PROCESSOR MATCHES "i686" OR (WIN32 AND CMAKE_SYSTEM_PROCESSOR MATCHES "x86"))
    set(CPU_X86_32 ON)
  endif()
  if(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64|AMD64")
    set(CPU_X86_64 ON)
  endif()
endif()

if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND CMAKE_BUILD_TYPE STREQUAL "Debug")
  # Treat warnings as errors with some exceptions
  set(GCC_FLAGS "-Wall -Werror -Wno-deprecated-declarations")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${GCC_FLAGS} -Wno-class-memaccess -Wno-array-compare -Wno-unused-result -Wno-maybe-uninitialized")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${GCC_FLAGS} -Wno-discarded-qualifiers")
endif ()

if(MSVC)
  list(APPEND MLT_COMPILE_OPTIONS "$<$<CONFIG:Release>:/fp:fast>")
elseif(CMAKE_C_COMPILER_ID MATCHES "GNU|Clang")
  list(APPEND MLT_COMPILE_OPTIONS "$<$<CONFIG:Release>:-ffast-math>")
endif()

if(NOT GPL)
  set(MOD_NORMALIZE OFF)
  set(MOD_PLUSGPL OFF)
  set(MOD_QT OFF)
  set(MOD_QT6 OFF)
  set(MOD_RESAMPLE OFF)
  set(MOD_RUBBERBAND OFF)
  set(MOD_VIDSTAB OFF)
  set(MOD_XINE OFF)
endif()

find_package(Threads REQUIRED)
find_package(PkgConfig REQUIRED)

if(WIN32)
  find_package(Iconv REQUIRED)
  if(NOT CMAKE_DL_LIBS)
    find_package(dlfcn-win32 REQUIRED)
    set(CMAKE_DL_LIBS dlfcn-win32::dl)
  endif()
endif()

pkg_check_modules(sdl2 IMPORTED_TARGET sdl2)

if(MOD_QT OR MOD_QT6 OR MOD_PLUS)
  pkg_check_modules(FFTW IMPORTED_TARGET fftw3)
  if(NOT FFTW_FOUND)
    pkg_check_modules(FFTW IMPORTED_TARGET fftw)
  endif()
endif()

if(MOD_QT OR MOD_QT6 OR MOD_GDK)
  pkg_check_modules(libexif IMPORTED_TARGET libexif)
endif()

if(MOD_GDK OR MOD_GTK)
  pkg_check_modules(fontconfig IMPORTED_TARGET fontconfig)
endif()

if(MOD_XML OR MOD_JACKRACK)
  pkg_check_modules(xml IMPORTED_TARGET libxml-2.0)
endif()

if(MOD_AVFORMAT)
  pkg_check_modules(libavformat IMPORTED_TARGET libavformat)
  pkg_check_modules(libswscale IMPORTED_TARGET libswscale)
  pkg_check_modules(libavutil IMPORTED_TARGET libavutil)
  if(TARGET PkgConfig::libavformat AND TARGET PkgConfig::libswscale AND TARGET PkgConfig::libavutil)
    pkg_check_modules(libavcodec IMPORTED_TARGET libavcodec)
    pkg_check_modules(libavfilter IMPORTED_TARGET libavfilter)
    pkg_check_modules(libavdevice IMPORTED_TARGET libavdevice)
    pkg_check_modules(libswresample IMPORTED_TARGET libswresample)
    list(APPEND MLT_SUPPORTED_COMPONENTS avformat)
  else()
    set(MOD_AVFORMAT OFF)
  endif()
endif()

if(MOD_DECKLINK)
  list(APPEND MLT_SUPPORTED_COMPONENTS decklink)
endif()

if(MOD_FREI0R)
  pkg_check_modules(FREI0R frei0r)
  if(FREI0R_FOUND)
    list(APPEND MLT_SUPPORTED_COMPONENTS frei0r)
  else()
    set(MOD_FREI0R OFF)
  endif()
endif()

if(MOD_GDK)
  pkg_check_modules(GdkPixbuf IMPORTED_TARGET gdk-pixbuf-2.0)
  if(TARGET PkgConfig::GdkPixbuf)
    pkg_check_modules(pango IMPORTED_TARGET pango)
    pkg_check_modules(pangoft2 IMPORTED_TARGET pangoft2)
    list(APPEND MLT_SUPPORTED_COMPONENTS gdk)
  else()
    set(MOD_GDK OFF)
  endif()
endif()

if(MOD_JACKRACK)
  find_package(JACK)
  pkg_check_modules(glib IMPORTED_TARGET glib-2.0)
  check_include_file(ladspa.h ladspa_h_FOUND)
  list(APPEND MLT_SUPPORTED_COMPONENTS jackrack)
endif()

if(MOD_KDENLIVE)
  list(APPEND MLT_SUPPORTED_COMPONENTS kdenlive)
endif()

if(MOD_NDI)
  find_package(NDI REQUIRED)
  list(APPEND MLT_SUPPORTED_COMPONENTS ndi)
endif()

if(MOD_NORMALIZE)
  list(APPEND MLT_SUPPORTED_COMPONENTS normalize)
endif()

if(MOD_OLDFILM)
  list(APPEND MLT_SUPPORTED_COMPONENTS oldfilm)
endif()

if(MOD_OPENCV)
  find_package(OpenCV REQUIRED COMPONENTS tracking)
  if(OpenCV_tracking_FOUND)
    list(APPEND MLT_SUPPORTED_COMPONENTS opencv)
  else()
    set(MOD_OPENCV OFF)
  endif()
endif()

if(MOD_MOVIT)
  pkg_check_modules(movit IMPORTED_TARGET movit)
  find_package(OpenGL)
  if(TARGET PkgConfig::movit AND TARGET OpenGL::GL)
    if(UNIX AND NOT APPLE)
      find_package(X11 REQUIRED)
    endif()
    list(APPEND MLT_SUPPORTED_COMPONENTS movit)
  else()
    set(MOD_MOVIT OFF)
  endif()
endif()

if(MOD_PLUS)
  pkg_check_modules(libebur128 IMPORTED_TARGET libebur128)
  list(APPEND MLT_SUPPORTED_COMPONENTS plus)
endif()

if(MOD_PLUSGPL)
  list(APPEND MLT_SUPPORTED_COMPONENTS plusgpl)
endif()

# It is necessary to look for Qt6 before Qt5, otherwise there will
# be a conflict with the targets in case both are enabled
if(MOD_QT6)
  find_package(Qt6 COMPONENTS Core Gui Xml SvgWidgets Core5Compat)
  if(Qt6_FOUND)
    list(APPEND MLT_SUPPORTED_COMPONENTS qt6)
  else()
    set(MOD_QT6 OFF)
  endif()
endif()


if(MOD_GLAXNIMATE_QT6)
  find_package(Qt6 COMPONENTS Core Gui Widgets Xml)
  if(Qt6_FOUND)
    list(APPEND MLT_SUPPORTED_COMPONENTS glaxnimate-qt6)
  else()
    set(MOD_GLAXNIMATE_QT6 OFF)
  endif()
endif()

if (BUILD_TESTS_WITH_QT6)
    set(QT_MAJOR_VERSION 6)
else()
    set(QT_MAJOR_VERSION 5)
endif()

if(BUILD_TESTING)
  find_package(Qt${QT_MAJOR_VERSION} REQUIRED COMPONENTS Core Test)
  find_package(Kwalify REQUIRED)
  enable_testing()
endif()

if(MOD_QT)
  find_package(Qt5 COMPONENTS Core Xml Gui Svg Widgets)
  if(Qt5_FOUND)
    list(APPEND MLT_SUPPORTED_COMPONENTS qt)
  else()
    set(MOD_QT OFF)
  endif()
endif()

if(MOD_GLAXNIMATE)
  find_package(Qt5 COMPONENTS Core Gui Widgets Xml)
  if(Qt5_FOUND)
    list(APPEND MLT_SUPPORTED_COMPONENTS glaxnimate)
  else()
    set(MOD_GLAXNIMATE OFF)
  endif()
endif()

if(MOD_RESAMPLE)
  pkg_check_modules(samplerate IMPORTED_TARGET samplerate)
  if(TARGET PkgConfig::samplerate)
    list(APPEND MLT_SUPPORTED_COMPONENTS resample)
  else()
    set(MOD_RESAMPLE OFF)
  endif()
endif()

if(MOD_RTAUDIO)
  pkg_check_modules(rtaudio IMPORTED_TARGET rtaudio)
  if(NOT TARGET PkgConfig::rtaudio AND UNIX AND NOT APPLE)
    pkg_check_modules(alsa IMPORTED_TARGET alsa)
    pkg_check_modules(libpulse-simple IMPORTED_TARGET libpulse-simple)
  endif()
  list(APPEND MLT_SUPPORTED_COMPONENTS rtaudio)
endif()

if(MOD_RUBBERBAND)
  pkg_check_modules(rubberband IMPORTED_TARGET rubberband)
  if(TARGET PkgConfig::rubberband)
    list(APPEND MLT_SUPPORTED_COMPONENTS rubberband)
  else()
    set(MOD_RUBBERBAND OFF)
  endif()
endif()

if(MOD_SDL1)
  pkg_check_modules(sdl IMPORTED_TARGET sdl)
  if(TARGET PkgConfig::sdl)
    list(APPEND MLT_SUPPORTED_COMPONENTS sdl)
  else()
    set(MOD_SDL1 OFF)
  endif()
endif()

if(MOD_SDL2)
  if(TARGET PkgConfig::sdl2)
    list(APPEND MLT_SUPPORTED_COMPONENTS sdl2)
  else()
    set(MOD_SDL2 OFF)
  endif()
endif()

if(MOD_SOX)
  pkg_check_modules(sox IMPORTED_TARGET sox)
  if(TARGET PkgConfig::sox)
    list(APPEND MLT_SUPPORTED_COMPONENTS sox)
  else()
    set(MOD_SOX OFF)
  endif()
endif()

if(MOD_VIDSTAB)

=== src/modules/core/CMakeLists.txt ===
add_library(mltcore MODULE
  consumer_multi.c
  consumer_null.c
  factory.c
  filter_audiochannels.c
  filter_audioconvert.c
  filter_audiomap.c
  filter_audiowave.c
  filter_box_blur.c
  filter_brightness.c
  filter_channelcopy.c
  filter_choppy.c
  filter_crop.c
  filter_fieldorder.c
  filter_gamma.c
  filter_greyscale.c
  filter_imageconvert.c
  filter_luma.c
  filter_mask_apply.c
  filter_mask_start.c
  filter_mirror.c
  filter_mono.c
  filter_obscure.c
  filter_panner.c
  filter_pillar_echo.c
  filter_rescale.c
  filter_resize.c
  filter_transition.c
  filter_watermark.c
  image_proc.c image_proc.h
  link_timeremap.c
  producer_colour.c
  producer_consumer.c
  producer_hold.c
  producer_loader.c
  producer_melt.c
  producer_noise.c
  producer_timewarp.c
  producer_tone.c
  transition_composite.c
  transition_luma.c
  transition_matte.c
  transition_mix.c
)

file(GLOB YML "*.yml")
add_custom_target(Other_core_Files SOURCES
  ${YML}
  loader.dict
  loader.ini
)

target_compile_options(mltcore PRIVATE ${MLT_COMPILE_OPTIONS})

target_link_libraries(mltcore PRIVATE m mlt Threads::Threads)

if(WIN32)
  target_sources(mltcore PRIVATE ../../win32/fnmatch.c)
  target_include_directories(mltcore PRIVATE ../../win32)
endif()

if(CPU_SSE)
  target_compile_definitions(mltcore PRIVATE USE_SSE)
endif()

if(CPU_X86_64)
  target_sources(mltcore PRIVATE composite_line_yuv_sse2_simple.c)
  target_compile_definitions(mltcore PRIVATE ARCH_X86_64)
endif()

set_target_properties(mltcore PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${MLT_MODULE_OUTPUT_DIRECTORY}")

install(TARGETS mltcore LIBRARY DESTINATION ${MLT_INSTALL_MODULE_DIR})

install(FILES
  consumer_multi.yml
  filter_audiomap.yml
  filter_audiowave.yml
  filter_box_blur.yml
  filter_brightness.yml
  filter_channelcopy.yml
  filter_choppy.yml
  filter_crop.yml
  filter_fieldorder.yml
  filter_gamma.yml
  filter_greyscale.yml
  filter_luma.yml
  filter_mask_apply.yml
  filter_mask_start.yml
  filter_mirror.yml
  filter_mono.yml
  filter_obscure.yml
  filter_panner.yml
  filter_pillar_echo.yml
  filter_rescale.yml
  filter_resize.yml
  filter_transition.yml
  filter_watermark.yml
  link_timeremap.yml
  producer_colour.yml
  producer_consumer.yml
  producer_hold.yml
  producer_loader.yml
  producer_loader-nogl.yml
  producer_melt_file.yml
  producer_melt.yml
  producer_noise.yml
  producer_timewarp.yml
  producer_tone.yml
  transition_composite.yml
  transition_luma.yml
  transition_matte.yml
  transition_mix.yml
  loader.dict
  loader.ini
  DESTINATION ${MLT_INSTALL_DATA_DIR}/core
)

## mlt7-dmo 7.0.1

=== debian/changelog ===
mlt7-dmo (1:7.0.1-dmo3) unstable; urgency=medium

  * Remove old mlt 6.x conflicts/replaces for libmlt and libmlt++

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 12 Aug 2021 15:49:32 +0200

mlt7-dmo (1:7.0.1-dmo2) unstable; urgency=medium

  * Rename source to mlt7

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 21 May 2021 08:36:38 +0200

mlt7-dmo (1:7.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 May 2021 09:01:46 +0200

mlt-dmo (1:6.26.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 13 Apr 2021 23:58:02 +0200

mlt-dmo (1:6.26.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 11 Apr 2021 01:28:43 +0200

mlt-dmo (1:6.24.0-dmo3) unstable; urgency=medium

  * Add patch from upstream bug #636 to fix build with opencv 4.5.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 14 Jan 2021 14:21:14 +0100

mlt-dmo (1:6.24.0-dmo2) unstable; urgency=medium

  * Build with oepncv 4.5

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 22 Dec 2020 09:56:52 +0100

mlt-dmo (1:6.24.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 07 Dec 2020 09:16:06 +0100

mlt-dmo (1:6.22.1-dmo4) unstable; urgency=medium

  * Build with perl 5.32 and python 3.9

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 18 Nov 2020 23:43:26 +0100

mlt-dmo (1:6.22.1-dmo3) unstable; urgency=medium

  * Build with --disable-lumas (Thanks to Oswald Buddenhagen for the bug
    report)

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 05 Nov 2020 11:57:03 +0100

mlt-dmo (1:6.22.1-dmo2) unstable; urgency=medium

  * Improve debian/rules to find disabled module

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 04 Nov 2020 08:42:49 +0100

mlt-dmo (1:6.22.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Aug 2020 00:28:35 +0200

mlt-dmo (1:6.22.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 31 Jul 2020 07:50:59 +0200

mlt-dmo (1:6.20.0-dmo5) unstable; urgency=medium

  * Build wxith ffmpeg 4.3

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 25 Jun 2020 19:19:22 +0200

mlt-dmo (1:6.20.0-dmo4) unstable; urgency=medium

  * Build with ruby 2.7

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 19 Mar 2020 00:21:38 +0100

mlt-dmo (1:6.20.0-dmo3) unstable; urgency=medium

  * Build with python 3.8

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Mar 2020 13:50:46 +0100

mlt-dmo (1:6.20.0-dmo2) unstable; urgency=medium

  * Enable opencv support.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 23 Feb 2020 16:32:53 +0100

mlt-dmo (1:6.20.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 17 Feb 2020 08:54:19 +0100

mlt-dmo (1:6.18.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Nov 2019 10:21:26 +0100

mlt-dmo (1:6.16.0-dmo6) unstable; urgency=medium

  * Build against qtbase-abi-5-12-5 and/or qtdeclarative-abi-5-12-5.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Oct 2019 09:45:05 +0200

mlt-dmo (1:6.16.0-dmo5) unstable; urgency=medium

  * Build against perl 5.30.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Oct 2019 09:51:43 +0200

mlt-dmo (1:6.16.0-dmo4) unstable; urgency=medium

  * Rename python-mlt to python3-mlt

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 13 Sep 2019 11:15:50 +0200

mlt-dmo (1:6.16.0-dmo3) unstable; urgency=medium

  * Fix python path in python-mlt package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 12 Sep 2019 15:53:49 +0200

mlt-dmo (1:6.16.0-dmo2) unstable; urgency=medium

  * Move to python3

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 02 Sep 2019 14:18:17 +0200

mlt-dmo (1:6.16.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 May 2019 08:28:19 +0200

mlt-dmo (1:6.14.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 31 Mar 2019 00:03:03 +0100

mlt-dmo (1:6.12.0-dmo2) unstable; urgency=medium

  * Rebuild, some pakcages have been lost.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Dec 2018 11:39:31 +0100

mlt-dmo (1:6.12.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 26 Nov 2018 23:03:19 +0100

mlt-dmo (1:6.10.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 02 Jul 2018 21:22:29 +0200

mlt-dmo (1:6.8.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 11 May 2018 07:36:26 +0200

mlt-dmo (1:6.6.0-dmo5) unstable; urgency=medium

  * Rebuild against ffmpeg 4.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 21 Apr 2018 13:10:55 +0200

mlt-dmo (1:6.6.0-dmo4) unstable; urgency=medium

  * Rebuild for ruby 2.5

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 05 Mar 2018 12:47:59 +0100

mlt-dmo (1:6.6.0-dmo3) unstable; urgency=medium

  * Add source:Version to libmlt-data

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Mar 2018 14:33:33 +0100

mlt-dmo (1:6.6.0-dmo2) unstable; urgency=medium

  * Rebuild against libmovit8

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 25 Jan 2018 13:11:33 +0100

mlt-dmo (1:6.6.0-dmo1) unstable; urgency=medium

  * New upstream release.



=== debian/control ===
Source: mlt7-dmo
Section: libs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.mltframework.org
Standards-Version: 4.5.1
Build-Conflicts: libruby2.5
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, ladspa-sdk,
 libavdevice-dev, libebur128-dev, libavformat-dev (>= 10:4.3~), quilt, ruby,
 libjack-jackd2-dev, swig, libsamplerate-dev, libsdl2-dev, cmake,
 libsox-dev (>= 14.4.0), libqt5svg5-dev, libswscale-dev, libvorbis-dev,
 libxine2-dev, libxml2-dev, imagemagick, python3-dev (>= 3.8~), libfftw3-dev,
 libavcodec-dev (>= 7:0.11.1), frei0r-plugins-dev, ruby-dev, libasound2-dev,
 qtbase5-dev, libmovit-dev (>= 1:1.6.0~), libsdl-image1.2-dev, libepoxy-dev,
 libvidstab-dev (>= 2:1.1.0~), libqt5opengl5-dev, libexif-dev,
 librtaudio-dev (>= 5.0.0~ds~) [linux-any], librubberband-dev, libquicktime-dev,
 libgdk-pixbuf2.0-dev, libpango1.0-dev, portaudio19-dev, libopencv-dev (>= 4.5.0~)

Package: libmlt7-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libmlt-7-7 (= ${binary:Version})
Description: Multimedia framework (development)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the static libraries and headers for developing
 applications that use the MLT multimedia framework.

Package: libmlt-7-7
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libmlt7-data (>= ${source:Version})
Description: Multimedia framework (runtime)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the files necessary for running applications that
 use the MLT multimedia framework.

Package: libmlt++7-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmlt++-7-7 (= ${binary:Version}), ${misc:Depends}
Description: MLT multimedia framework C++ wrapper (development)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the static libraries and headers for developing
 applications that use the MLT multimedia framework C++ wrapper.

Package: libmlt++-7-7
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MLT multimedia framework C++ wrapper (runtime)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the files necessary for running applications that
 use the MLT multimedia framework C++ wrapper.

Package: libmlt7-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: libmlt-7-7
Description: Multimedia framework (data)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the data files for the MLT multimedia framework.

Package: melt7
Section: utils
Architecture: any
Conflicts: melt
Replaces: melt
Depends: ${shlibs:Depends}, ${misc:Depends}, libmlt7-data (>= ${source:Version})
Description: Command line media player and video editor
 melt was meant as a test tool for the MLT framework, but it is also a
 powerful multitrack command line oriented video editor. It could also used
 as an minimalistic media player for audio and video files.

Package: python3-mlt7
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Conflicts: python-mlt2, python-mlt3, python-mlt5, python-mlt
Replaces: python-mlt2, python-mlt3, python-mlt5, python-mlt
Description: Multimedia framework (python bindings)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the Python bindings for the mlt package.

Package: libmlt7-ruby2.7
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmlt-ruby2.7
Replaces: libmlt-ruby2.7
Description: Multimedia framework (Ruby 2.7 bindings)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the Ruby 2.7 bindings for the mlt package.

Package: libmlt7-perl
Architecture: any
Section: perl
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Conflicts: libmlt-ruby2.7
Replaces: libmlt-ruby2.7
Description: Multimedia framework (Perl bindings)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the Perl bindings for the mlt package.

=== debian/rules ===
#!/usr/bin/make -f

#PYTHON_DIR := /usr/lib/python3/dist-packages/
#RUBY_DIR := $(shell ruby -rrbconfig -e 'puts RbConfig::CONFIG["archdir"][1..-1]')

#export DEB_LDFLAGS_MAINT_APPEND=-latomic

%:
	dh $@ -Scmake --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-DMOD_NDI=OFF \
	-DGPL3=ON \
	-DGPL=ON \
	-DMOD_AVFORMAT=ON \
	-DMOD_DECKLINK=ON \
	-DMOD_FREI0R=ON \
	-DMOD_GDK=ON \
	-DMOD_JACKRACK=ON \
	-DMOD_KDENLIVE=ON \
	-DMOD_MOVIT=ON \
	-DMOD_NORMALIZE=ON \
	-DMOD_OLDFILM=ON \
	-DMOD_OPENCV=ON \
	-DMOD_PLUSGPL=ON \
	-DMOD_PLUS=ON \
	-DMOD_QT=ON \
	-DMOD_RESAMPLE=ON \
	-DMOD_RTAUDIO=ON \
	-DMOD_RUBBERBAND=ON \
	-DMOD_SDL1=ON \
	-DMOD_SDL2=ON \
	-DMOD_SOX=ON \
	-DMOD_VIDSTAB=ON \
	-DMOD_VORBIS=ON \
	-DMOD_XINE=ON \
	-DMOD_XML=ON \
	-DSWIG_PERL=ON \
	-DSWIG_PYTHON=ON \
	-DSWIG_RUBY=ON \
	-DCMAKE_SYSTEM_PROCESSOR=$(DEB_HOST_GNU_CPU)

# Not yet
##	-DBUILD_DOCS=ON \

#	exit 1

=== debian/watch ===
version=4

https://github.com/mltframework/mlt/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## mlt7-dmo 7.16.0

=== debian/changelog ===
mlt7-dmo (1:7.16.0-dmo1+deb12u1) stable; urgency=medium

  * Add a 'Replaces: libmlt-data' for libmlt7-data package

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 19 Jun 2023 11:12:42 +0200

mlt7-dmo (1:7.16.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 May 2023 00:13:19 +0200

mlt7-dmo (1:7.14.0-dmo2) unstable; urgency=medium

  * Build with libvidstab1.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Mar 2023 01:42:01 +0100

mlt7-dmo (1:7.14.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Mar 2023 01:21:44 +0100

mlt7-dmo (1:7.12.0-dmo4) unstable; urgency=medium

  * Build with ffmpeg 6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Mar 2023 09:29:18 +0100

mlt7-dmo (1:7.12.0-dmo3) unstable; urgency=medium

  * Build with python 3.11

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Jan 2023 07:53:33 +0100

mlt7-dmo (1:7.12.0-dmo2) unstable; urgency=medium

  * Build with ruby 3.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 30 Nov 2022 15:40:14 +0100

mlt7-dmo (1:7.12.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Nov 2022 09:33:30 +0100

mlt7-dmo (1:7.10.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 01 Nov 2022 13:10:59 +0100

mlt7-dmo (1:7.8.0+repack1-dmo7) unstable; urgency=medium

  * Build with perlapi-5.36.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 21 Oct 2022 10:42:38 +0200

mlt7-dmo (1:7.8.0+repack1-dmo6) unstable; urgency=medium

  * Add Conflicts/Replaces for libmlt7 in libmlt-7-7 and libmlt++7 in
    libmlt++-7-7

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 05 Sep 2022 08:17:42 +0200

mlt7-dmo (1:7.8.0+repack1-dmo5) unstable; urgency=medium

  * Rename the source tarball repack1 instead of glaxnimate

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 05 Sep 2022 08:06:17 +0200

mlt7-dmo (1:7.8.0+glaxnimate-dmo4) unstable; urgency=medium

  * Add missing glaxnimate files.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 04 Sep 2022 19:28:03 +0200

mlt7-dmo (1:7.8.0-dmo3) unstable; urgency=medium

  * Build with opencv 4.6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 Jul 2022 06:55:46 +0200

mlt7-dmo (1:7.8.0-dmo2) unstable; urgency=medium

  * Build with ffmpeg 5.0
  * Build without libquicktime (Code is dead upstream).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 26 Jun 2022 10:12:42 +0200

mlt7-dmo (1:7.8.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Jun 2022 02:31:48 +0200

mlt7-dmo (1:7.6.0-dmo2) unstable; urgency=medium

  * Really build with python 3.10

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 23 Apr 2022 09:30:54 +0200

mlt7-dmo (1:7.6.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 30 Mar 2022 00:25:12 +0200

mlt7-dmo (1:7.4.0-dmo4) unstable; urgency=medium

  * Build with python 3.10

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Mar 2022 01:43:18 +0200

mlt7-dmo (1:7.4.0-dmo3) unstable; urgency=medium

  * Build with ruby 3.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Feb 2022 23:37:53 +0100

mlt7-dmo (1:7.4.0-dmo2) unstable; urgency=medium

  * Build with perl 5.34

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Feb 2022 09:28:38 +0100

mlt7-dmo (1:7.4.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 20 Dec 2021 00:56:25 +0100

mlt7-dmo (1:7.2.0-dmo2) unstable; urgency=medium

  * Build with opencv 4.5d

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 26 Nov 2021 11:59:52 +0100

mlt7-dmo (1:7.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Nov 2021 22:05:08 +0100

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,30 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://www.mltframework.org
-Standards-Version: 4.5.1
-Build-Conflicts: libruby2.5
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, ladspa-sdk,
  libavdevice-dev, libebur128-dev, libavformat-dev (>= 10:4.3~), quilt, ruby,
  libjack-jackd2-dev, swig, libsamplerate-dev, libsdl2-dev, cmake,
  libsox-dev (>= 14.4.0), libqt5svg5-dev, libswscale-dev, libvorbis-dev,
- libxine2-dev, libxml2-dev, imagemagick, python3-dev (>= 3.8~), libfftw3-dev,
- libavcodec-dev (>= 7:0.11.1), frei0r-plugins-dev, ruby-dev, libasound2-dev,
+ libxine2-dev, libxml2-dev, imagemagick, python3-dev, libfftw3-dev,
+ libavcodec-dev, frei0r-plugins-dev, ruby-dev (>= 1:3.1~), libasound2-dev,
  qtbase5-dev, libmovit-dev (>= 1:1.6.0~), libsdl-image1.2-dev, libepoxy-dev,
- libvidstab-dev (>= 2:1.1.0~), libqt5opengl5-dev, libexif-dev,
- librtaudio-dev (>= 5.0.0~ds~) [linux-any], librubberband-dev, libquicktime-dev,
- libgdk-pixbuf2.0-dev, libpango1.0-dev, portaudio19-dev, libopencv-dev (>= 4.5.0~)
+ libvidstab-dev (>= 2:1.1.1~), libqt5opengl5-dev, libexif-dev, ninja-build,
+ librtaudio-dev (>= 5.0.0~ds~) [linux-any], librubberband-dev, libarchive-dev,
+ libgdk-pixbuf-2.0-dev, libpango1.0-dev, portaudio19-dev, libopencv-dev (>= 4.5.0~)
+
+# Qt 6
+#Build-Depends: debhelper-compat (= 13), dh-sequence-python3, ladspa-sdk,
+# libavdevice-dev, libebur128-dev, libavformat-dev (>= 10:4.3~), quilt, ruby,
+# libjack-jackd2-dev, swig, libsamplerate-dev, libsdl2-dev, cmake, ninja-build,
+# libsox-dev (>= 14.4.0),  libswscale-dev, libvorbis-dev,
+# libxine2-dev, libxml2-dev, imagemagick, python3-dev, libfftw3-dev,
+# libavcodec-dev, frei0r-plugins-dev, ruby-dev (>= 1:3.1~), libasound2-dev,
+# libmovit-dev (>= 1:1.6.0~), qt6-5compat-dev, qt6-svg-dev,
+# libsdl-image1.2-dev, libepoxy-dev, libvidstab-dev (>= 2:1.1.1~), libexif-dev,
+# librtaudio-dev (>= 5.0.0~ds~) [linux-any], librubberband-dev, libarchive-dev,
+# libgdk-pixbuf-2.0-dev, libpango1.0-dev, portaudio19-dev, libopencv-dev (>= 4.5.0~)
 
 Package: libmlt7-dev
 Section: libdevel
@@ -38,6 +50,8 @@
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: libmlt7-data (>= ${source:Version})
+Replaces: libmlt7
+Conflicts: libmlt7
 Description: Multimedia framework (runtime)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -69,6 +83,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: libmlt++7
+Conflicts: libmlt++7
 Description: MLT multimedia framework C++ wrapper (runtime)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -84,6 +100,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Replaces: libmlt-data
 Enhances: libmlt-7-7
 Description: Multimedia framework (data)
  MLT is an open source multimedia framework, designed and developed for
@@ -123,12 +140,12 @@
  .
  This package contains the Python bindings for the mlt package.
 
-Package: libmlt7-ruby2.7
+Package: libmlt7-ruby3.1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libmlt-ruby2.7
 Replaces: libmlt-ruby2.7
-Description: Multimedia framework (Ruby 2.7 bindings)
+Description: Multimedia framework (Ruby 3.0 bindings)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
  editors, media players, transcoders, web streamers and many more types of
@@ -136,14 +153,13 @@
  of ready to use tools, xml authoring components, and an extendible plug-in
  based API.
  .
- This package contains the Ruby 2.7 bindings for the mlt package.
+ This package contains the Ruby 3.0 bindings for the mlt package.
 
 Package: libmlt7-perl
 Architecture: any
+Multi-Arch: foreign
 Section: perl
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Conflicts: libmlt-ruby2.7
-Replaces: libmlt-ruby2.7
 Description: Multimedia framework (Perl bindings)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video

=== debian/rules ===
#!/usr/bin/make -f

#PYTHON_DIR := /usr/lib/python3/dist-packages/
RUBY_DIR := $(shell ruby -rrbconfig -e 'puts RbConfig::CONFIG["archdir"][1..-1]')

export DEB_LDFLAGS_MAINT_APPEND=-latomic

%:
	dh $@ -Scmake+ninja --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DCMAKE_SYSTEM_PROCESSOR=$(DEB_HOST_GNU_CPU) \
	-DGPL3=ON \
	-DGPL=ON \
	-DMOD_AVFORMAT=ON \
	-DMOD_DECKLINK=ON \
	-DMOD_FREI0R=ON \
	-DMOD_GDK=ON \
	-DMOD_GLAXNIMATE=ON \
	-DMOD_JACKRACK=ON \
	-DMOD_KDENLIVE=ON \
	-DMOD_MOVIT=ON \
	-DMOD_NDI=OFF \
	-DMOD_NORMALIZE=ON \
	-DMOD_OLDFILM=ON \
	-DMOD_OPENCV=ON \
	-DMOD_PLUSGPL=ON \
	-DMOD_PLUS=ON \
	-DMOD_QT5=ON \
	-DMOD_RESAMPLE=ON \
	-DMOD_RTAUDIO=ON \
	-DMOD_RUBBERBAND=ON \
	-DMOD_SDL1=ON \
	-DMOD_SDL2=ON \
	-DMOD_SOX=ON \
	-DMOD_VIDSTAB=ON \
	-DMOD_VORBIS=ON \
	-DMOD_XINE=ON \
	-DMOD_XML=ON \
	-DSWIG_PERL=ON \
	-DSWIG_PYTHON=ON \
	-DSWIG_RUBY=ON

# Not yet
##	-DBUILD_DOCS=ON \

#	exit 1

override_dh_install:
	mkdir -p debian/libmlt7-ruby3.1/$(RUBY_DIR)

	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/ruby/vendor_ruby/mlt.so \
	debian/libmlt7-ruby3.1/$(RUBY_DIR)

	dh_install

override_dh_clean:
	dh_clean src/modules/glaxnimate/glaxnimate/src/core/application_info_generated.hpp

override_dh_auto_test:
